<?php
if (!isset($_SESSION['nombre'])) {
  header("Location: login");
}else{
  if ($_SESSION['escritorio']==1) {
    require 'vistas/contenidos/escritorion-view.php';
  }else{
    if ($_SESSION['escritorio']==13) { 
      require 'vistas/contenidos/escritoriog1-view.php'; 
    }else{
      require 'vistas/contenidos/noacceso-view.php'; 
    }
 
  }
  ?>
      </div>
        <!-- /.content-wrapper -->
        <!-- Main Footer -->
        <?php include "vistas/modulos/mainfooter.php";?>
    </div>
    <!-- ./wrapper -->
    <!-- REQUIRED JS SCRIPTS -->
    <?php include "vistas/modulos/script.php";?>
    
</body>
</html>
<script>

      let delayed;
      let labeles = [<?php echo $articuloa ?>];
      let data = {
          labels :labeles,
          datasets: [{
              label: 'NUMERO DE CAJAS',
              data: [<?php echo $cajasa ?>],
              backgroundColor: 'rgb(253, 111, 39)',
          }]

      };

      let config = {
          type: 'bar',
          data: data,
          options: {
            animation:{
              onComplete: () =>{
                delayed:true;
              },
              delay: (context) => {
                let delay = 0;
                console.log(context);
                if(context.type==='data' && context.mode ==='default'){ 
                  delay= context.dataIndex * 300 + context.datasetIndex * 100;
                }
                return delay;
              },
              backgroundColor: {
                type: 'color',
                duration: 5000,
                easing: 'linear',
                from: 'rgb(253, 111, 39)',
                to: 'rgb(253, 187, 154)',
                loop: true
              }
            },
            scales: {
                x: {
                    stacked: true,
                },
                y: {
                    stacked: true
                }
            }
          }
      };

    /* const myChart = new Chart(
      document.getElementById('articulomesanterior'),
      config
     ); */
    
     
     /** Grafico dos */

    let delayed1;
    let labeles1 = [<?php echo $articuloc ?>];
    let data1 = {
          labels :labeles1,
          datasets: [{
            label: 'NUMERO DE CAJAS',
            data: [<?php echo  $cajasc ?>],
            backgroundColor: 'rgb(21, 171, 31)',
          }]

    };
    let config1 = {
          type: 'bar',
          data: data1,
          options: {
            animation:{
              onComplete: () =>{
                delayed1:true;
              },
              delay: (context) => {
                let delay1 = 0;
                //console.log(context);
                if(context.type==='data' && context.mode ==='default'){ 
                  delay1= context.dataIndex * 300 + context.datasetIndex * 100;
                }
                return delay1;
              },
              backgroundColor: {
                type: 'color',
                duration: 5000,
                easing: 'linear',
                from: 'rgb(21, 171, 31)',
                to: 'rgb(22, 96, 197)',
                loop: true
              }
            },
            scales: {
                x: {
                    stacked: true,
                },
                y: {
                    stacked: true
                }
            }
          }
    };

    // render init block
   /*  const myChart1 = new Chart(
      document.getElementById('articulomesencurso'),
      config1
    ); */


    /**Grafico 3 */
    let delayed2;
    let labeles2  = [<?php echo $articuloc ?>];
    let data2     = {
          labels :labeles2,
          datasets: [{
            label: '',
            data: [<?php echo  $cajasc ?>],
            backgroundColor: 'rgb(56,151,218,255)',
          }]
         
    };

    let config2 = {
      type: 'bar',
      data: data2,
      options: {
        indexAxis: 'y',
        // Elements options apply to all of the options unless overridden in a dataset
        // In this case, we are setting the border of each horizontal bar to be 2px wide
        elements: {
          bar: {
            borderWidth: 2,
          }
        },
        responsive: true,
        /* animation:{
          onComplete: () =>{
            data.datasets.forEach(function (dataset, i) {
              let meta = Chart.controller.getDatasetMeta(i);
              meta.data.forEach(function (bar, index) {
                var data = dataset.data[index];                            
                ctx.fillText(data, bar._model.x, bar._model.y - 5);
              });    
            })      
          }    
        }, */
        plugins: {
          legend: {
            position: 'right',
          },
          title: {
            display: true,
            text: ''
          },
          tooltips: {
            callback: function (value, index, values) {
              if (parseInt(value) >= 1000) {
                return '$' + value.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
              } else {
              return '$' + value;
              }
            }
          }
        }
      },
    };

    

            
   
    const myChart2 = new Chart(
      document.getElementById('articulomesencurso'),
      config2
      
    );
    /* var ctx3 = document.getElementById("articulomesencurso").getContext("2d");
    window.myPie = new Chart(ctx3).Bar(data2, options); */


    /**Grafico 4*/
    let delayed3;
    let labeles3  = [<?php echo $articuloa ?>];
    let data3     = {
          labels :labeles3,
          datasets: [{
            label: '',
            data: [<?php echo  $cajasa ?>],
            backgroundColor: 'rgb(28,187,155,255)',
          }]
    };

    let config3 = {
      type: 'bar',
      data: data3,
      options: {
        indexAxis: 'y',
        // Elements options apply to all of the options unless overridden in a dataset
        // In this case, we are setting the border of each horizontal bar to be 2px wide
        elements: {
          bar: {
            borderWidth: 2,
          }
        },
        responsive: true,
        plugins: {
          legend: {
            position: 'right',
          },
          title: {
            display: true,
            text: ''
          }
        }
      },
    };

    // render init block
    const myChart3 = new Chart(
      document.getElementById('articulomesanterior'),
      config3
    );


   
    
    
    /**Grafico 5 */
    let delayed51;
    let labeles51  = [<?php echo $vendedora3 ?>];
    let data51     = {
          labels :labeles51,
          datasets: [{
            label: '',
            data: [<?php echo  $cajasav ?>],
            backgroundColor: 'rgb(28,187,155,255)',
          }]
          
    };

    let config51 = {
      type: 'bar',
      data: data51,
      options: {
        indexAxis: 'y',
        // Elements options apply to all of the options unless overridden in a dataset
        // In this case, we are setting the border of each horizontal bar to be 2px wide
        elements: {
          bar: {
            borderWidth: 2,
          }
        },
        responsive: true,
        plugins: {
          legend: {
            position: 'right',
          },
          title: {
            display: true,
            text: ''
          }
        }
      },
    };

    // render init block
    const myChart5 = new Chart(
      document.getElementById('vendedormesanterior'),
      config51
    );


    /**Grafico 6 */
    let delayed6;
    let labeles6  = [<?php echo $vendedorc ?>];
    let data6     = {
          labels :labeles6,
          datasets: [{
            label: '',
            data: [<?php echo  $cajascv ?>],
            backgroundColor: 'rgb(56,151,218,255)',
          }]
    };

    let config6 = {
      type: 'bar',
      data: data6,
      options: {
        indexAxis: 'y',
        // Elements options apply to all of the options unless overridden in a dataset
        // In this case, we are setting the border of each horizontal bar to be 2px wide
        elements: {
          bar: {
            borderWidth: 2,
          }
        },
        responsive: true,
        plugins: {
          legend: {
            position: 'right',
          },
          title: {
            display: true,
            text: ''
          }
        }
      },
    };

    // render init block
    const myChart6 = new Chart(
      document.getElementById('vendedormesencurso'),
      config6
    );
    

  function mostrar1(idvendedor){
    console.log('idvendedor: '+idvendedor);
    tabla=$('#tbclientes').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      "bPaginate": false, //hide pagination
      "bFilter": false, //hide Search bar
      "bInfo": false, // hide showing entries
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarcliente',
        type: "post",
        data: {
          idvendedor : idvendedor
        },
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        //alert("La tabla se está recargando"); 
      //	var api 	= this.api();
      //	var tactual	= api.column(3, {page:'current'}).data().sum();
      //	var total	= api.column(1).data().sum();
      //	var total2= api.column(3).data().sum();
      //	totalt		= number_format(total*1,2);
      //	totalt2		= number_format(total2*1,2);
        // $(api.column(4).footer()).html('Total Actual:');
        //$(api.column(5).footer()).html(tactual); 
      //	$(api.column(0).footer()).html('Total:');
      //	$(api.column(1).footer()).html(totalt);
      //	$(api.column(3).footer()).html(totalt2);
      },
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"asc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalclientes').modal('show');
    
    
  }

  function mostrar2(idvendedor){
    console.log('idvendedor: '+idvendedor);
    tabla=$('#tbclientesnuevo').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      "bPaginate": false, //hide pagination
      "bFilter": false, //hide Search bar
      "bInfo": false, // hide showing entries
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarclientenuevo',
        type: "post",
        data: {
          idvendedor : idvendedor
        },
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        //alert("La tabla se está recargando"); 
      //	var api 	= this.api();
      //	var tactual	= api.column(3, {page:'current'}).data().sum();
      //	var total	= api.column(1).data().sum();
      //	var total2= api.column(3).data().sum();
      //	totalt		= number_format(total*1,2);
      //	totalt2		= number_format(total2*1,2);
        // $(api.column(4).footer()).html('Total Actual:');
        //$(api.column(5).footer()).html(tactual); 
      //	$(api.column(0).footer()).html('Total:');
      //	$(api.column(1).footer()).html(totalt);
      //	$(api.column(3).footer()).html(totalt2);
      },
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"asc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalclientesnueno').modal('show');
    
    
  }

  function mostrar3(idvendedor){
    console.log('idvendedor: '+idvendedor);
    tabla=$('#tbclientesmas90dias').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      "bPaginate": false, //hide pagination
      "bFilter": false, //hide Search bar
      "bInfo": false, // hide showing entries
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarclientemas90dias',
        type: "post",
        data: {
          idvendedor : idvendedor
        },
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        //alert("La tabla se está recargando"); 
      //	var api 	= this.api();
      //	var tactual	= api.column(3, {page:'current'}).data().sum();
      //	var total	= api.column(1).data().sum();
      //	var total2= api.column(3).data().sum();
      //	totalt		= number_format(total*1,2);
      //	totalt2		= number_format(total2*1,2);
        // $(api.column(4).footer()).html('Total Actual:');
        //$(api.column(5).footer()).html(tactual); 
      //	$(api.column(0).footer()).html('Total:');
      //	$(api.column(1).footer()).html(totalt);
      //	$(api.column(3).footer()).html(totalt2);
      },
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"asc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalclientesmas90dias').modal('show');
    
    
  }

  function mostrar4(idvendedor){
    console.log('idvendedor: '+idvendedor);
    tabla=$('#tbclientemes').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      "bPaginate": false, //hide pagination
      "bFilter": false, //hide Search bar
      "bInfo": false, // hide showing entries
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarclientemes',
        type: "post",
        data: {
          idvendedor : idvendedor
        },
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        //alert("La tabla se está recargando"); 
      //	var api 	= this.api();
      //	var tactual	= api.column(3, {page:'current'}).data().sum();
      //	var total	= api.column(1).data().sum();
      //	var total2= api.column(3).data().sum();
      //	totalt		= number_format(total*1,2);
      //	totalt2		= number_format(total2*1,2);
        // $(api.column(4).footer()).html('Total Actual:');
        //$(api.column(5).footer()).html(tactual); 
      //	$(api.column(0).footer()).html('Total:');
      //	$(api.column(1).footer()).html(totalt);
      //	$(api.column(3).footer()).html(totalt2);
      },
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"asc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalclientemes').modal('show');
    
    
  }

  function mostrar5(idvendedor){
    console.log('idvendedor: '+idvendedor);
    tabla=$('#tbcliente90dias').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      "bPaginate": false, //hide pagination
      "bFilter": false, //hide Search bar
      "bInfo": false, // hide showing entries
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarcliente90dias',
        type: "post",
        data: {
          idvendedor : idvendedor
        },
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        //alert("La tabla se está recargando"); 
      //	var api 	= this.api();
      //	var tactual	= api.column(3, {page:'current'}).data().sum();
      //	var total	= api.column(1).data().sum();
      //	var total2= api.column(3).data().sum();
      //	totalt		= number_format(total*1,2);
      //	totalt2		= number_format(total2*1,2);
        // $(api.column(4).footer()).html('Total Actual:');
        //$(api.column(5).footer()).html(tactual); 
      //	$(api.column(0).footer()).html('Total:');
      //	$(api.column(1).footer()).html(totalt);
      //	$(api.column(3).footer()).html(totalt2);
      },
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"asc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalcliente90dias').modal('show');
    
    
  }

  function mostrar6(idvendedor){
    console.log('idvendedor: '+idvendedor);
    tabla=$('#tbclientecxcmes').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      "bPaginate": false, //hide pagination
      "bFilter": false, //hide Search bar
      "bInfo": false, // hide showing entries
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarclientecxcmes',
        type: "post",
        data: {
          idvendedor : idvendedor
        },
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        //alert("La tabla se está recargando"); 
      	var api 	= this.api();
      //	var tactual	= api.column(3, {page:'current'}).data().sum();
      	var total	= api.column(3).data().sum();
      	var total2= api.column(4).data().sum();
        var total3= api.column(5).data().sum();
      	totalt		= numero(number_format(total*1,2));
      	totalt2		= numero(number_format(total2*1,2));
        totalt3		= numero(number_format(total3*1,2));
        // $(api.column(4).footer()).html('Total Actual:');
        //$(api.column(5).footer()).html(tactual); 
      	$(api.column(0).footer()).html('Total:');
      	$(api.column(3).footer()).html(totalt);
      	$(api.column(4).footer()).html(totalt2);
        $(api.column(5).footer()).html(totalt3);
      },
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"asc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalclientecxcmes').modal('show');
    
    
  }

  function mostrar7(idvendedor){
    console.log('idvendedor: '+idvendedor);
    tabla=$('#tbclientecxc90dias').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      "bPaginate": false, //hide pagination
      "bFilter": false, //hide Search bar
      "bInfo": false, // hide showing entries
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarclientecxc90dias',
        type: "post",
        data: {
          idvendedor : idvendedor
        },
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        var api 	= this.api();
      //	var tactual	= api.column(3, {page:'current'}).data().sum();
      	var total	= api.column(3).data().sum();
      	var total2= api.column(4).data().sum();
        var total3= api.column(5).data().sum();
      	totalt		= numero(number_format(total*1,2));
      	totalt2		= numero(number_format(total2*1,2));
        totalt3		= numero(number_format(total3*1,2));
        // $(api.column(4).footer()).html('Total Actual:');
        //$(api.column(5).footer()).html(tactual); 
      	$(api.column(0).footer()).html('Total:');
      	$(api.column(3).footer()).html(totalt);
      	$(api.column(4).footer()).html(totalt2);
        $(api.column(5).footer()).html(totalt3);
      },
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"asc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalclientecx90dias').modal('show');
    
    
  }

  function mostrar8(idvendedor){
    console.log('idvendedor: '+idvendedor);
    tabla=$('#tbclientecxcpendiente').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      "bPaginate": false, //hide pagination
      "bFilter": false, //hide Search bar
      "bInfo": false, // hide showing entries
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarclientecxcpendiente',
        type: "post",
        data: {
          idvendedor : idvendedor
        },
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        var api 	= this.api();
      //	var tactual	= api.column(3, {page:'current'}).data().sum();
      	var total	= api.column(3).data().sum();
      	var total2= api.column(4).data().sum();
        var total3= api.column(5).data().sum();
      	totalt		= numero(number_format(total*1,2));
      	totalt2		= numero(number_format(total2*1,2));
        totalt3		= numero(number_format(total3*1,2));
        // $(api.column(4).footer()).html('Total Actual:');
        //$(api.column(5).footer()).html(tactual); 
      	$(api.column(0).footer()).html('Total:');
      	$(api.column(3).footer()).html(totalt);
      	$(api.column(4).footer()).html(totalt2);
        $(api.column(5).footer()).html(totalt3);
      },
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"asc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalclientecxpendiente').modal('show');
    
    
  }

  function mostrar9(idvendedor){
    console.log('idvendedor: '+idvendedor);
    tabla=$('#tbclientecxcpendientemas90dias').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      "bPaginate": false, //hide pagination
      "bFilter": false, //hide Search bar
      "bInfo": false, // hide showing entries
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarclientecxcpendientemas90dias',
        type: "post",
        data: {
          idvendedor : idvendedor
        },
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        var api 	= this.api();
      //	var tactual	= api.column(3, {page:'current'}).data().sum();
      	var total	= api.column(3).data().sum();
      	var total2= api.column(4).data().sum();
        var total3= api.column(5).data().sum();
      	totalt		= numero(number_format(total*1,2));
      	totalt2		= numero(number_format(total2*1,2));
        totalt3		= numero(number_format(total3*1,2));
        // $(api.column(4).footer()).html('Total Actual:');
        //$(api.column(5).footer()).html(tactual); 
      	$(api.column(0).footer()).html('Total:');
      	$(api.column(3).footer()).html(totalt);
      	$(api.column(4).footer()).html(totalt2);
        $(api.column(5).footer()).html(totalt3);
      },
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"asc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalclientecxcpendientemas90dias').modal('show');
    
    
  }

  function mostrar10(idvendedor){
    console.log('idvendedor: '+idvendedor);
    tabla=$('#tbclientenuncaantendido').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      "bPaginate": false, //hide pagination
      "bFilter": false, //hide Search bar
      "bInfo": false, // hide showing entries
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarclientenuncaantendido',
        type: "post",
        data: {
          idvendedor : idvendedor
        },
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        //alert("La tabla se está recargando"); 
      //	var api 	= this.api();
      //	var tactual	= api.column(3, {page:'current'}).data().sum();
      //	var total	= api.column(1).data().sum();
      //	var total2= api.column(3).data().sum();
      //	totalt		= number_format(total*1,2);
      //	totalt2		= number_format(total2*1,2);
        // $(api.column(4).footer()).html('Total Actual:');
        //$(api.column(5).footer()).html(tactual); 
      //	$(api.column(0).footer()).html('Total:');
      //	$(api.column(1).footer()).html(totalt);
      //	$(api.column(3).footer()).html(totalt2);
      },
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"asc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalclientenuncaatendido').modal('show');
    
    
  }

  /** Para indicadores principales */

  function mostrar1p(){
    //console.log('idvendedor: '+idvendedor);
    tabla=$('#tbclientecxcyear').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      "bPaginate": false, //hide pagination
      "bFilter": false, //hide Search bar
      "bInfo": false, // hide showing entries
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarclientecxcyear',
        type: "post",
        /* data: {
          idvendedor : idvendedor
        }, */
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        //alert("La tabla se está recargando"); 
      	var api 	= this.api();
      //	var tactual	= api.column(3, {page:'current'}).data().sum();
      	var total	= api.column(3).data().sum();
      	var total2= api.column(4).data().sum();
        var total3= api.column(5).data().sum();
      	totalt		= numero(number_format(total*1,2));
      	totalt2		= numero(number_format(total2*1,2));
        totalt3		= numero(number_format(total3*1,2));
        // $(api.column(4).footer()).html('Total Actual:');
        //$(api.column(5).footer()).html(tactual); 
      	$(api.column(0).footer()).html('Total:');
      	$(api.column(3).footer()).html('<div align="right">'+totalt+'</div>');
      	$(api.column(4).footer()).html('<div align="right">'+totalt2+'</div>');
        $(api.column(5).footer()).html('<div align="right">'+totalt3+'</div>');
      },
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"asc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalclientecxcyear').modal('show');
    
    
  }

  function mostrar2p(){
    //console.log('idvendedor: '+idvendedor);
    tabla=$('#tbclientecxcunidadesyear').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      "bPaginate": false, //hide pagination
      "bFilter": false, //hide Search bar
      "bInfo": false, // hide showing entries
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarclientecxcunidadesyear',
        type: "post",
        /* data: {
          idvendedor : idvendedor
        }, */
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        //alert("La tabla se está recargando"); 
      	var api 	= this.api();
      //	var tactual	= api.column(3, {page:'current'}).data().sum();
      //	var total	= api.column(3).data().sum();
      	var total2= api.column(4).data().sum();
      //  var total3= api.column(5).data().sum();
      //	totalt		= number_format(total*1,2);
      	totalt2		= numero(number_format(total2*1,2));
     //   totalt3		= number_format(total3*1,2);
        // $(api.column(4).footer()).html('Total Actual:');
        //$(api.column(5).footer()).html(tactual); 
      	$(api.column(0).footer()).html('Total:');
      	//$(api.column(3).footer()).html(totalt);
      	$(api.column(4).footer()).html('<div align="center">'+totalt2+'</div>');
       // $(api.column(5).footer()).html(totalt3);
      },
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"asc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalclientecxcunidadesyear').modal('show');
    
    
  }

  function mostrar3p(){
    //console.log('idvendedor: '+idvendedor);
    tabla=$('#tbclientecxcmesp').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      "bPaginate": false, //hide pagination
      "bFilter": false, //hide Search bar
      "bInfo": false, // hide showing entries
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarclientecxcmesp',
        type: "post",
        /* data: {
          idvendedor : idvendedor
        }, */
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        //alert("La tabla se está recargando"); 
      	var api 	= this.api();
      //	var tactual	= api.column(3, {page:'current'}).data().sum();
      	var total	= api.column(3).data().sum();
      	var total2= api.column(4).data().sum();
        var total3= api.column(5).data().sum();
      	totalt		= numero(number_format(total*1,2));
      	totalt2		= numero(number_format(total2*1,2));
        totalt3		= numero(number_format(total3*1,2));
        // $(api.column(4).footer()).html('Total Actual:');
        //$(api.column(5).footer()).html(tactual); 
      	$(api.column(0).footer()).html('Total:');
      	$(api.column(3).footer()).html('<div align="right">'+totalt+'</div>');
      	$(api.column(4).footer()).html('<div align="right">'+totalt2+'</div>');
        $(api.column(5).footer()).html('<div align="right">'+totalt3+'</div>');
      },
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"asc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalclientecxcmesp').modal('show');
    
    
  }

  function mostrar4p(){
    //console.log('idvendedor: '+idvendedor);
    tabla=$('#tbclientecxcunidadesmes').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      "bPaginate": false, //hide pagination
      "bFilter": false, //hide Search bar
      "bInfo": false, // hide showing entries
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarclientecxcunidadesmes',
        type: "post",
        /* data: {
          idvendedor : idvendedor
        }, */
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        //alert("La tabla se está recargando"); 
      	var api 	= this.api();
      //	var tactual	= api.column(3, {page:'current'}).data().sum();
      //	var total	= api.column(3).data().sum();
      	var total2= api.column(4).data().sum();
      //  var total3= api.column(5).data().sum();
      //	totalt		= number_format(total*1,2);
      	totalt2		= numero(number_format(total2*1,2));
     //   totalt3		= number_format(total3*1,2);
        // $(api.column(4).footer()).html('Total Actual:');
        //$(api.column(5).footer()).html(tactual); 
      	$(api.column(0).footer()).html('Total:');
      	//$(api.column(3).footer()).html(totalt);
      	$(api.column(4).footer()).html('<div align="center">'+totalt2+'</div>');
       // $(api.column(5).footer()).html(totalt3);
      },
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"asc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalclientecxcunidadesmes').modal('show');
    
    
  }

  function mostrar5p(){
   
    tabla=$('#tbclientecxcp').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      "bPaginate": false, //hide pagination
      "bFilter": false, //hide Search bar
      "bInfo": false, // hide showing entries
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarclientecxcpendientep',
        type: "post",
       /*  data: {
          idvendedor : idvendedor
        }, */
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        var api 	= this.api();
      //	var tactual	= api.column(3, {page:'current'}).data().sum();
      	var total	= api.column(4).data().sum();
      	var total2= api.column(5).data().sum();
        var total3= api.column(6).data().sum();
      	totalt		= numero(number_format(total*1,2));
      	totalt2		= numero(number_format(total2*1,2));
        totalt3		= numero(number_format(total3*1,2));
        // $(api.column(4).footer()).html('Total Actual:');
        //$(api.column(5).footer()).html(tactual); 
      	$(api.column(0).footer()).html('Total:');
      	$(api.column(4).footer()).html('<div align="right">'+totalt+'</div>');
      	$(api.column(5).footer()).html('<div align="right">'+totalt2+'</div>');
        $(api.column(6).footer()).html('<div align="right">'+totalt3+'</div>');
      },
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"asc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalclientecxcp').modal('show');
    
    
  }

  function mostrar6p(){
    /* var fecha_inicio  = $("#fecha_inicio").val();
    var fecha_fin     = $("#fecha_fin").val(); */
    var idalmacen     = 0;
    var idarticulo    = 0; 
 
	  var tabla=$('#tbinventario').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarinventario',
        method: 'post',
        data: {
          idalmacen	:	idalmacen,
          idarticulo : idarticulo,
        },
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        //alert("La tabla se está recargando"); 
        var api 	= this.api();
        //var tactual	= api.column(5, {page:'current'}).data().sum();
        var total	= api.column(4).data().sum();
      //	tactual		= number_format(tactual*1,2);
        total		= numero(number_format(total*1,0));
      //	$(api.column(4).footer()).html('Total Actual:');
      //	$(api.column(5).footer()).html(tactual);
        $(api.column(0).footer()).html('Total:');
        $(api.column(4).footer()).html(total);
        },  
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"desc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalinventario').modal('show');
	

  }

  function mostrar7p(){
    /* var fecha_inicio  = $("#fecha_inicio").val();
    var fecha_fin     = $("#fecha_fin").val(); */
    //var idalmacen     = 0;
    //var idarticulo    = 0; 
 
	  var tabla=$('#tbpedido').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarpedidop',
        method: 'post',
        /* data: {
          idalmacen	:	idalmacen,
          idarticulo : idarticulo,
        }, */
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        //alert("La tabla se está recargando"); 
        var api 	= this.api();
        //var tactual	= api.column(5, {page:'current'}).data().sum();
        var total	= api.column(5).data().sum();
      //	tactual		= number_format(tactual*1,2);
        total		= numero(number_format(total*1,0));
      //	$(api.column(4).footer()).html('Total Actual:');
      //	$(api.column(5).footer()).html(tactual);
        $(api.column(0).footer()).html('Total:');
        $(api.column(5).footer()).html(total);
        },  
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"desc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalpedido').modal('show');
	

  }

  function mostrar8p(){
    /* var fecha_inicio  = $("#fecha_inicio").val();
    var fecha_fin     = $("#fecha_fin").val(); */
    //var idalmacen     = 0;
    //var idarticulo    = 0; 
 
	  var tabla=$('#tbpedido').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarpedidov',
        method: 'post',
        /* data: {
          idalmacen	:	idalmacen,
          idarticulo : idarticulo,
        }, */
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        //alert("La tabla se está recargando"); 
        var api 	= this.api();
        //var tactual	= api.column(5, {page:'current'}).data().sum();
        var total	= api.column(5).data().sum();
      //	tactual		= number_format(tactual*1,2);
        total		= numero(number_format(total*1,0));
      //	$(api.column(4).footer()).html('Total Actual:');
      //	$(api.column(5).footer()).html(tactual);
        $(api.column(0).footer()).html('Total:');
        $(api.column(5).footer()).html(total);
        },  
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"desc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalpedido').modal('show');
	

  }
  
  function mostrar9p(){
    /* var fecha_inicio  = $("#fecha_inicio").val();
    var fecha_fin     = $("#fecha_fin").val(); */
    //var idalmacen     = 0;
    //var idarticulo    = 0; 
    let tablastockm ='';

	  tablastockm=$('#tbarticulominimod').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      "columnDefs": [ //Oculto La columna por donde ordeno
			{
					"targets": [ 5],
					"visible": false,
					
			}
			
		  ],
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
    
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarnumeroarticulominimod',
        method: 'post',
        /* data: {
          idalmacen	:	idalmacen,
          idarticulo : idarticulo,
        }, */
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        //alert("La tabla se está recargando"); 
        var api 	= this.api();
        //var tactual	= api.column(5, {page:'current'}).data().sum();
        var total	= api.column(5).data().sum();
        var total1= api.column(4).data().sum();
      //	tactual		= number_format(tactual*1,2);
        total		= numero(number_format(total*1,0));
        total1	= numero(number_format(total1*1,0));
      //	$(api.column(4).footer()).html('Total Actual:');
      //	$(api.column(5).footer()).html(tactual);
        $(api.column(0).footer()).html('Total:');
        $(api.column(3).footer()).html('<div align="center">'+total+'</div>');
        $(api.column(4).footer()).html('<div align="center">'+total1+'</div>');
        },  
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"desc"]]//ordenar (columna, orden)
    }).DataTable();
    //});
    $('#myModalarticulominimod').modal('show');
	

  }

  function mostrar10p(){
    //console.log('idvendedor: '+idvendedor);
    tabla=$('#tbclientecxcmas90').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      "bPaginate": false, //hide pagination
      "bFilter": false, //hide Search bar
      "bInfo": false, // hide showing entries
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarclientecxcmas90',
        type: "post",
        /* data: {
          idvendedor : idvendedor
        }, */
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        var api 	= this.api();
      //	var tactual	= api.column(3, {page:'current'}).data().sum();
      	var total	= api.column(4).data().sum();
      	var total2= api.column(5).data().sum();
        var total3= api.column(6).data().sum();
      	totalt		= numero(number_format(total*1,2));
      	totalt2		= numero(number_format(total2*1,2));
        totalt3		= numero(number_format(total3*1,2));
        // $(api.column(4).footer()).html('Total Actual:');
        //$(api.column(5).footer()).html(tactual); 
      	$(api.column(0).footer()).html('Total:');
      	$(api.column(4).footer()).html(totalt);
      	$(api.column(5).footer()).html(totalt2);
        $(api.column(6).footer()).html(totalt3);
      },
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"asc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalclientecxcmas90').modal('show');
    
    
  }
  
  function mostrar11p(){
    //console.log('idvendedor: '+idvendedor);
    tabla=$('#tbcobranzayear').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      "bPaginate": false, //hide pagination
      "bFilter": false, //hide Search bar
      "bInfo": false, // hide showing entries
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarcobranzayear',
        type: "post",
        /* data: {
          idvendedor : idvendedor
        }, */
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        var api 	= this.api();
      //	var tactual	= api.column(3, {page:'current'}).data().sum();
      //	var total	= api.column(3).data().sum();
      //	var total2= api.column(4).data().sum();
        var total3= api.column(6).data().sum();
      //	totalt		= numero(number_format(total*1,2));
      //	totalt2		= numero(number_format(total2*1,2));
        totalt3		= numero(number_format(total3*1,2));
        // $(api.column(4).footer()).html('Total Actual:');
        //$(api.column(5).footer()).html(tactual); 
      	$(api.column(0).footer()).html('Total:');
      //	$(api.column(3).footer()).html(totalt);
      //	$(api.column(4).footer()).html(totalt2);
        $(api.column(6).footer()).html(totalt3);
      },
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"asc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalcobranzayear').modal('show');
    
    
  }

  function mostrar12p(){
    //console.log('idvendedor: '+idvendedor);
    tabla=$('#tbcobranzames').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      "bPaginate": false, //hide pagination
      "bFilter": false, //hide Search bar
      "bInfo": false, // hide showing entries
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarcobranzames',
        type: "post",
        /* data: {
          idvendedor : idvendedor
        }, */
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        var api 	= this.api();
      //	var tactual	= api.column(3, {page:'current'}).data().sum();
      //	var total	= api.column(3).data().sum();
      //	var total2= api.column(4).data().sum();
        var total3= api.column(6).data().sum();
     // 	totalt		= numero(number_format(total*1,2));
     // 	totalt2		= numero(number_format(total2*1,2));
        totalt3		= numero(number_format(total3*1,2));
        // $(api.column(4).footer()).html('Total Actual:');
        //$(api.column(5).footer()).html(tactual); 
      	$(api.column(0).footer()).html('Total:');
      //	$(api.column(3).footer()).html(totalt);
     // 	$(api.column(4).footer()).html(totalt2);
        $(api.column(6).footer()).html(totalt3);
      },
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"asc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalcobranzames').modal('show');
    
    
  }
  
  /* Mes Anterior */
  
  function mostrar13p(){
    //console.log('idvendedor: '+idvendedor);
    tabla=$('#tbcobranzamesa').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      "bPaginate": false, //hide pagination
      "bFilter": false, //hide Search bar
      "bInfo": false, // hide showing entries
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: '',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarcobranzamesa',
        type: "post",
        /* data: {
          idvendedor : idvendedor
        }, */
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        var api 	= this.api();
      //	var tactual	= api.column(3, {page:'current'}).data().sum();
      //	var total	= api.column(3).data().sum();
      //	var total2= api.column(4).data().sum();
        var total3= api.column(6).data().sum();
     // 	totalt		= numero(number_format(total*1,2));
     // 	totalt2		= numero(number_format(total2*1,2));
        totalt3		= numero(number_format(total3*1,2));
        // $(api.column(4).footer()).html('Total Actual:');
        //$(api.column(5).footer()).html(tactual); 
      	$(api.column(0).footer()).html('Total:');
      //	$(api.column(3).footer()).html(totalt);
     // 	$(api.column(4).footer()).html(totalt2);
        $(api.column(6).footer()).html(totalt3);
      },
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"asc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalcobranzamesa').modal('show');
    
    
  }
  
  function mostrar14p(){
    //console.log('idvendedor: '+idvendedor);
    tabla=$('#tbclientecxcmespa').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      "bPaginate": false, //hide pagination
      "bFilter": false, //hide Search bar
      "bInfo": false, // hide showing entries
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarclientecxcmespa',
        type: "post",
        /* data: {
          idvendedor : idvendedor
        }, */
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        //alert("La tabla se está recargando"); 
      	var api 	= this.api();
      //	var tactual	= api.column(3, {page:'current'}).data().sum();
      	var total	= api.column(3).data().sum();
      	var total2= api.column(4).data().sum();
        var total3= api.column(5).data().sum();
      	totalt		= numero(number_format(total*1,2));
      	totalt2		= numero(number_format(total2*1,2));
        totalt3		= numero(number_format(total3*1,2));
        // $(api.column(4).footer()).html('Total Actual:');
        //$(api.column(5).footer()).html(tactual); 
      	$(api.column(0).footer()).html('Total:');
      	$(api.column(3).footer()).html('<div align="right">'+totalt+'</div>');
      	$(api.column(4).footer()).html('<div align="right">'+totalt2+'</div>');
        $(api.column(5).footer()).html('<div align="right">'+totalt3+'</div>');
      },
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"asc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalclientecxcmespa').modal('show');
    
    
  }
  
  //Por Cliente y Articulo
  /*
  function mostrar15p(){
    //console.log('idvendedor: '+idvendedor);
    tabla=$('#tbclientecxcunidadesmesa').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      "bPaginate": false, //hide pagination
      "bFilter": false, //hide Search bar
      "bInfo": false, // hide showing entries
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: '',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarclientecxcunidadesmesa',
        type: "post",
        // data: {
        //  idvendedor : idvendedor
        //}, 
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        //alert("La tabla se está recargando"); 
      	var api 	= this.api();
      //	var tactual	= api.column(3, {page:'current'}).data().sum();
      //	var total	= api.column(3).data().sum();
      	var total2= api.column(4).data().sum();
      //  var total3= api.column(5).data().sum();
      //	totalt		= number_format(total*1,2);
      	totalt2		= numero(number_format(total2*1,2));
     //   totalt3		= number_format(total3*1,2);
        // $(api.column(4).footer()).html('Total Actual:');
        //$(api.column(5).footer()).html(tactual); 
      	$(api.column(0).footer()).html('Total:');
      	//$(api.column(3).footer()).html(totalt);
      	$(api.column(4).footer()).html('<div align="center">'+totalt2+'</div>');
       // $(api.column(5).footer()).html(totalt3);
      },
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"asc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalclientecxcunidadesmesa').modal('show');
  }
  */
  
  //Por Vendedor y Articulo
  function mostrar15p(){
    //console.log('idvendedor: '+idvendedor);
    tabla=$('#tbclientecxcunidadesmesa').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      "bPaginate": false, //hide pagination
      "bFilter": false, //hide Search bar
      "bInfo": false, // hide showing entries
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: '',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarclientecxcunidadesmesa',
        type: "post",
        /* data: {
          idvendedor : idvendedor
        }, */
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        //alert("La tabla se está recargando"); 
      	var api 	= this.api();
      //	var tactual	= api.column(3, {page:'current'}).data().sum();
      //	var total	= api.column(3).data().sum();
      	var total2= api.column(2).data().sum();
      //  var total3= api.column(5).data().sum();
      //	totalt		= number_format(total*1,2);
      	totalt2		= numero(number_format(total2*1,2));
     //   totalt3		= number_format(total3*1,2);
        // $(api.column(4).footer()).html('Total Actual:');
        //$(api.column(5).footer()).html(tactual); 
      	$(api.column(0).footer()).html('Total:');
      	//$(api.column(3).footer()).html(totalt);
      	$(api.column(2).footer()).html('<div align="center">'+totalt2+'</div>');
       // $(api.column(5).footer()).html(totalt3);
      },
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"asc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalclientecxcunidadesmesa').modal('show');
    
    
  }
  
  function mostrar16p(){
    //console.log('idvendedor: '+idvendedor);
    tabla=$('#listarcajasdeschadasmesanterior').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      "bPaginate": false, //hide pagination
      "bFilter": false, //hide Search bar
      "bInfo": false, // hide showing entries
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: '',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarcajasdeschadasmesanterior',
        type: "post",
        /* data: {
          idvendedor : idvendedor
        }, */
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        //alert("La tabla se está recargando"); 
      	var api 	= this.api();
      //	var tactual	= api.column(3, {page:'current'}).data().sum();
      //	var total	= api.column(3).data().sum();
      	var total2= api.column(2).data().sum();
      //  var total3= api.column(5).data().sum();
      //	totalt		= number_format(total*1,2);
      	totalt2		= numero(number_format(total2*1,2));
     //   totalt3		= number_format(total3*1,2);
        // $(api.column(4).footer()).html('Total Actual:');
        //$(api.column(5).footer()).html(tactual); 
      	$(api.column(0).footer()).html('Total:');
      	//$(api.column(3).footer()).html(totalt);
      	$(api.column(2).footer()).html('<div align="center">'+totalt2+'</div>');
       // $(api.column(5).footer()).html(totalt3);
      },
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"asc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalcajasdeschadasmesanterior').modal('show');
    
    
  }
  
  function mostrar17p(){
    //console.log('idvendedor: '+idvendedor);
    tabla=$('#listarcajasdeschadasmes').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      "bPaginate": false, //hide pagination
      "bFilter": false, //hide Search bar
      "bInfo": false, // hide showing entries
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: '',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarcajasdeschadasmes',
        type: "post",
        /* data: {
          idvendedor : idvendedor
        }, */
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        //alert("La tabla se está recargando"); 
      	var api 	= this.api();
      //	var tactual	= api.column(3, {page:'current'}).data().sum();
      //	var total	= api.column(3).data().sum();
      	var total2= api.column(2).data().sum();
      //  var total3= api.column(5).data().sum();
      //	totalt		= number_format(total*1,2);
      	totalt2		= numero(number_format(total2*1,2));
     //   totalt3		= number_format(total3*1,2);
        // $(api.column(4).footer()).html('Total Actual:');
        //$(api.column(5).footer()).html(tactual); 
      	$(api.column(0).footer()).html('Total:');
      	//$(api.column(3).footer()).html(totalt);
      	$(api.column(2).footer()).html('<div align="center">'+totalt2+'</div>');
       // $(api.column(5).footer()).html(totalt3);
      },
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"asc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalcajasdeschadasmes').modal('show');
    
    
  }
  
   //Inventario Pendiente por despachar
  function mostrar18p(){
    /* var fecha_inicio  = $("#fecha_inicio").val();
    var fecha_fin     = $("#fecha_fin").val(); */
    var idalmacen     = 0;
    var idarticulo    = 0; 
 
	  var tabla=$('#tbinventariounidadespendiente').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarinventariounidadespendiente',
        method: 'post',
        data: {
          idalmacen	:	idalmacen,
          idarticulo : idarticulo,
        },
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        //alert("La tabla se está recargando"); 
        var api 	= this.api();
        //var tactual	= api.column(5, {page:'current'}).data().sum();
        var total	= api.column(4).data().sum();
      //	tactual		= number_format(tactual*1,2);
        total		= numero(number_format(total*1,0));
      //	$(api.column(4).footer()).html('Total Actual:');
      //	$(api.column(5).footer()).html(tactual);
        $(api.column(0).footer()).html('Total:');
        $(api.column(4).footer()).html(total);
        },  
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"desc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModalinventariounidadespendiente').modal('show');
	

  }
  
  //Inventario en Almacen
  function mostrar19p(){
   
 
	  var tabla=$('#tblistarinventarioalmacen').dataTable({
      "aProcessing": true,//activamos el procedimiento del datatable
      "aServerSide": true,//paginacion y filrado realizados por el server
      dom: 'Bfrtip',//definimos los elementos del control de la tabla
      buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: '',
				footer: true,
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				footer: true,
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
      "ajax":
      {
        url:'controladores/escritorioControlador.php?op=listarinventarioalmacen',
        method: 'post',
        dataType : "json",
        error:function(e){
          console.log(e.responseText);
        }
      },
      "drawCallback":function(){
        //alert("La tabla se está recargando"); 
        var api 	= this.api();
        //var tactual	= api.column(5, {page:'current'}).data().sum();
        var total	= api.column(4).data().sum();
      //	tactual		= number_format(tactual*1,2);
        total		= numero(number_format(total*1,0));
      //	$(api.column(4).footer()).html('Total Actual:');
      //	$(api.column(5).footer()).html(tactual);
        $(api.column(0).footer()).html('Total:');
        $(api.column(4).footer()).html(total);
        },  
      "bDestroy":true,
      "iDisplayLength":-1,//paginacion
      "order":[[0,"desc"]]//ordenar (columna, orden)
    }).DataTable();
    $('#myModallistarinventarioalmacen').modal('show');
	

  }
  
  //Nuevos
  
 function mostrar20p(){
   
   tabla=$('#tbventasmesvendedor').dataTable({
     "aProcessing": true,//activamos el procedimiento del datatable
     "aServerSide": true,//paginacion y filrado realizados por el server
     "bPaginate": false, //hide pagination
     "bFilter": false, //hide Search bar
     "bInfo": false, // hide showing entries
     dom: 'Bfrtip',//definimos los elementos del control de la tabla
     buttons: [
     {
       text: 'Excel',
       extend: 'excelHtml5',
       filename: 'ventasmesvendedor',
       footer: true,
       //orientation: 'landscape', //portrait
       //pageSize: 'A4', //A3 , A5 , A6 , legal , letter
       title: '',
       exportOptions: {
         columns: ':visible',
         search: 'applied',
         order: 'applied'
       },
     },
     {
       text: 'PDF',
       extend: 'pdfHtml5',
       footer: true,
       filename: 'ventasmesvendedor',
       orientation: 'landscape', //portrait
       pageSize: 'letter', //A3 , A5 , A6 , legal , A4
       title: '',
       exportOptions: {
         columns: ':visible',
         search: 'applied',
         order: 'applied'
       },
     }
   ],
   /*
   columnDefs: [
        //Oculto La columna por donde ordeno
        {
          targets: [4, 5],
          visible: false,
          searchable: false,
          //	"className": "text-center", "targets": 0 
        },
      ],
     */
     "ajax":
     {
       url:'controladores/escritorioControlador.php?op=ventasmesvendedor',
       type: "post",
      /*  data: {
         idvendedor : idvendedor
       }, */
       dataType : "json",
       error:function(e){
         console.log(e.responseText);
       }
     },
     /**/
     "drawCallback":function(){
       var api 	= this.api();
        //	var tactual	= api.column(3, {page:'current'}).data().sum();
       var total	= api.column(1).data().sum();
       var total2   = api.column(2).data().sum();
       var total3   = api.column(3).data().sum();
       var total4   = api.column(4).data().sum();
       
       totalt		= numero(number_format(total*1,2));
       totalt2		= numero(number_format(total2*1,0));
       totalt3		= numero(number_format(total3*1,2));
       totalt4		= numero(number_format(total4*1,0));
       
       //totalt		= 0;
       //totalt2		= 0;
       //totalt3		= 0;
       // $(api.column(4).footer()).html('Total Actual:');
       //$(api.column(5).footer()).html(tactual); 
       $(api.column(0).footer()).html('Total:');
       $(api.column(1).footer()).html('<div align="center">'+number_format(totalt,0)+'</div>');
       $(api.column(2).footer()).html('<div align="center">'+totalt2+'%</div>');
       $(api.column(3).footer()).html('<div align="right">'+number_format(totalt3,2)+'</div>');
       $(api.column(4).footer()).html('<div align="center">'+totalt4+'%</div>');
     },
     
     "bDestroy":true,
     "iDisplayLength":-1,//paginacion
     "order":[]//ordenar (columna, orden)
   }).DataTable();
   $('#myModalventasmesvendedor').modal('show');
   
   
 }

 function mostrar21p(){
   
   tabla=$('#tbventasmescanales').dataTable({
     "aProcessing": true,//activamos el procedimiento del datatable
     "aServerSide": true,//paginacion y filrado realizados por el server
     "bPaginate": false, //hide pagination
     "bFilter": false, //hide Search bar
     "bInfo": false, // hide showing entries
     dom: 'Bfrtip',//definimos los elementos del control de la tabla
     buttons: [
     {
       text: 'Excel',
       extend: 'excelHtml5',
       filename: 'ventasmescanales',
       footer: true,
       //orientation: 'landscape', //portrait
       //pageSize: 'A4', //A3 , A5 , A6 , legal , letter
       title: '',
       exportOptions: {
         columns: ':visible',
         search: 'applied',
         order: 'applied'
       },
     },
     {
       text: 'PDF',
       extend: 'pdfHtml5',
       footer: true,
       filename: 'ventasmescanales',
       orientation: 'landscape', //portrait
       pageSize: 'letter', //A3 , A5 , A6 , legal , A4
       title: '',
       exportOptions: {
         columns: ':visible',
         search: 'applied',
         order: 'applied'
       },
     }
   ],
   /*
   columnDefs: [
        //Oculto La columna por donde ordeno
        {
          targets: [3,4],
          visible: false,
          searchable: false,
          // 	"className": "text-center", "targets": 0 
        },
      ],  
      */
     "ajax":
     {
       url:'controladores/escritorioControlador.php?op=ventasmescanales',
       type: "post",
      /*  data: {
         idvendedor : idvendedor
       }, */
       dataType : "json",
       error:function(e){
         console.log(e.responseText);
       }
     },
     /**/
     "drawCallback":function(){
       var api 	= this.api();
        //	var tactual	= api.column(3, {page:'current'}).data().sum();
       var total	= api.column(1).data().sum();
       var total2   = api.column(2).data().sum();
       var total3   = api.column(3).data().sum();
       var total4   = api.column(4).data().sum();
       
       totalt		= numero(number_format(total*1,2));
       totalt2		= numero(number_format(total2*1,0));
       totalt3		= numero(number_format(total3*1,2));
       totalt4		= numero(number_format(total4*1,0));
       
       //totalt		= 0;
       //totalt2		= 0;
       //totalt3		= 0;
       // $(api.column(4).footer()).html('Total Actual:');
       //$(api.column(5).footer()).html(tactual); 
       $(api.column(0).footer()).html('Total:');
       $(api.column(1).footer()).html('<div align="center">'+number_format(totalt,0)+'</div>');
       $(api.column(2).footer()).html('<div align="center">'+totalt2+'%</div>');
       $(api.column(3).footer()).html('<div align="right">'+number_format(totalt3,2)+'</div>');
       $(api.column(4).footer()).html('<div align="center">'+totalt4+'%</div>');
       
     },
     
     "bDestroy":true,
     "iDisplayLength":-1,//paginacion
     "order":[]//ordenar (columna, orden)
   }).DataTable();
   $('#myModalventasmescanales').modal('show');
   
   
 }

 function mostrar22p(){
   
   tabla=$('#tbventasmesproducto').dataTable({
     "aProcessing": true,//activamos el procedimiento del datatable
     "aServerSide": true,//paginacion y filrado realizados por el server
     "bPaginate": false, //hide pagination
     "bFilter": false, //hide Search bar
     "bInfo": false, // hide showing entries
     dom: 'Bfrtip',//definimos los elementos del control de la tabla
     buttons: [
     {
       text: 'Excel',
       extend: 'excelHtml5',
       filename: 'ventasmesproducto',
       footer: true,
       //orientation: 'landscape', //portrait
       //pageSize: 'A4', //A3 , A5 , A6 , legal , letter
       title: '',
       exportOptions: {
         columns: ':visible',
         search: 'applied',
         order: 'applied'
       },
     },
     {
       text: 'PDF',
       extend: 'pdfHtml5',
       footer: true,
       filename: 'ventasmesproducto',
       orientation: 'landscape', //portrait
       pageSize: 'letter', //A3 , A5 , A6 , legal , A4
       title: '',
       exportOptions: {
         columns: ':visible',
         search: 'applied',
         order: 'applied'
       },
     }
   ],
     
     "ajax":
     {
       url:'controladores/escritorioControlador.php?op=ventasmesproducto',
       type: "post",
      /*  data: {
         idvendedor : idvendedor
       }, */
       dataType : "json",
       error:function(e){
         console.log(e.responseText);
       }
     },
     /**/
     "drawCallback":function(){
       var api 	= this.api();
        //	var tactual	= api.column(3, {page:'current'}).data().sum();
       var total	= api.column(1).data().sum();
       var total2   = api.column(2).data().sum();
       //var total3= api.column(5).data().sum();
       
       totalt		= numero(number_format(total*1,2));
       totalt2		= numero(number_format(total2*1,0));
       //totalt3		= numero(number_format(total3*1,2));
       
       //totalt		= 0;
       //totalt2		= 0;
       //totalt3		= 0;
       // $(api.column(4).footer()).html('Total Actual:');
       //$(api.column(5).footer()).html(tactual); 
       $(api.column(0).footer()).html('Total:');
       $(api.column(1).footer()).html('<div align="center">'+number_format(totalt,0)+'</div>');
       $(api.column(2).footer()).html('<div align="center">'+totalt2+'%</div>');
       //$(api.column(5).footer()).html('<div align="right">'+totalt3+'</div>');
     },
     
     "bDestroy":true,
     "iDisplayLength":-1,//paginacion
     "order":[]//ordenar (columna, orden)
   }).DataTable();
   $('#myModalventasmesproducto').modal('show');
   
   
 }
 
 
 function mostrar23p(){
   
   tabla=$('#tbventasmesvendedora').dataTable({
     "aProcessing": true,//activamos el procedimiento del datatable
     "aServerSide": true,//paginacion y filrado realizados por el server
     "bPaginate": false, //hide pagination
     "bFilter": false, //hide Search bar
     "bInfo": false, // hide showing entries
     dom: 'Bfrtip',//definimos los elementos del control de la tabla
     buttons: [
     {
       text: 'Excel',
       extend: 'excelHtml5',
       filename: 'ventasmesvendedor',
       footer: true,
       //orientation: 'landscape', //portrait
       //pageSize: 'A4', //A3 , A5 , A6 , legal , letter
       title: '',
       exportOptions: {
         columns: ':visible',
         search: 'applied',
         order: 'applied'
       },
     },
     {
       text: 'PDF',
       extend: 'pdfHtml5',
       footer: true,
       filename: 'ventasmesvendedor',
       orientation: 'landscape', //portrait
       pageSize: 'letter', //A3 , A5 , A6 , legal , A4
       title: '',
       exportOptions: {
         columns: ':visible',
         search: 'applied',
         order: 'applied'
       },
     }
   ],
   /*
   columnDefs: [
        //Oculto La columna por donde ordeno
        {
          targets: [4, 5],
          visible: false,
          searchable: false,
          //	"className": "text-center", "targets": 0 
        },
      ],
     */
     "ajax":
     {
       url:'controladores/escritorioControlador.php?op=ventasmesvendedora',
       type: "post",
      /*  data: {
         idvendedor : idvendedor
       }, */
       dataType : "json",
       error:function(e){
         console.log(e.responseText);
       }
     },
     /**/
     "drawCallback":function(){
       var api 	= this.api();
        //	var tactual	= api.column(3, {page:'current'}).data().sum();
       var total	= api.column(1).data().sum();
       var total2   = api.column(2).data().sum();
       var total3   = api.column(3).data().sum();
       var total4   = api.column(4).data().sum();
       
       totalt		= numero(number_format(total*1,2));
       totalt2		= numero(number_format(total2*1,0));
       totalt3		= numero(number_format(total3*1,2));
       totalt4		= numero(number_format(total4*1,0));
       
       //totalt		= 0;
       //totalt2		= 0;
       //totalt3		= 0;
       // $(api.column(4).footer()).html('Total Actual:');
       //$(api.column(5).footer()).html(tactual); 
       $(api.column(0).footer()).html('Total:');
       $(api.column(1).footer()).html('<div align="center">'+number_format(totalt,0)+'</div>');
       $(api.column(2).footer()).html('<div align="center">'+totalt2+'%</div>');
       $(api.column(3).footer()).html('<div align="right">'+number_format(totalt3,2)+'</div>');
       $(api.column(4).footer()).html('<div align="center">'+totalt4+'%</div>');
     },
     
     "bDestroy":true,
     "iDisplayLength":-1,//paginacion
     "order":[]//ordenar (columna, orden)
   }).DataTable();
   $('#myModalventasmesvendedora').modal('show');
   
   
 }

 function mostrar24p(){
   
   tabla=$('#tbventasmescanalesa').dataTable({
     "aProcessing": true,//activamos el procedimiento del datatable
     "aServerSide": true,//paginacion y filrado realizados por el server
     "bPaginate": false, //hide pagination
     "bFilter": false, //hide Search bar
     "bInfo": false, // hide showing entries
     dom: 'Bfrtip',//definimos los elementos del control de la tabla
     buttons: [
     {
       text: 'Excel',
       extend: 'excelHtml5',
       filename: 'ventasmescanales',
       footer: true,
       //orientation: 'landscape', //portrait
       //pageSize: 'A4', //A3 , A5 , A6 , legal , letter
       title: '',
       exportOptions: {
         columns: ':visible',
         search: 'applied',
         order: 'applied'
       },
     },
     {
       text: 'PDF',
       extend: 'pdfHtml5',
       footer: true,
       filename: 'ventasmescanales',
       orientation: 'landscape', //portrait
       pageSize: 'letter', //A3 , A5 , A6 , legal , A4
       title: '',
       exportOptions: {
         columns: ':visible',
         search: 'applied',
         order: 'applied'
       },
     }
   ],
   /*
   columnDefs: [
        //Oculto La columna por donde ordeno
        {
          targets: [3,4],
          visible: false,
          searchable: false,
          // 	"className": "text-center", "targets": 0 
        },
      ],  
      */
     "ajax":
     {
       url:'controladores/escritorioControlador.php?op=ventasmescanalesa',
       type: "post",
      /*  data: {
         idvendedor : idvendedor
       }, */
       dataType : "json",
       error:function(e){
         console.log(e.responseText);
       }
     },
     /**/
     "drawCallback":function(){
       var api 	= this.api();
        //	var tactual	= api.column(3, {page:'current'}).data().sum();
       var total	= api.column(1).data().sum();
       var total2   = api.column(2).data().sum();
       var total3   = api.column(3).data().sum();
       var total4   = api.column(4).data().sum();
       
       totalt		= numero(number_format(total*1,2));
       totalt2		= numero(number_format(total2*1,0));
       totalt3		= numero(number_format(total3*1,2));
       totalt4		= numero(number_format(total4*1,0));
       
       //totalt		= 0;
       //totalt2		= 0;
       //totalt3		= 0;
       // $(api.column(4).footer()).html('Total Actual:');
       //$(api.column(5).footer()).html(tactual); 
       $(api.column(0).footer()).html('Total:');
       $(api.column(1).footer()).html('<div align="center">'+number_format(totalt,0)+'</div>');
       $(api.column(2).footer()).html('<div align="center">'+totalt2+'%</div>');
       $(api.column(3).footer()).html('<div align="right">'+number_format(totalt3,2)+'</div>');
       $(api.column(4).footer()).html('<div align="center">'+totalt4+'%</div>');
       
     },
     
     "bDestroy":true,
     "iDisplayLength":-1,//paginacion
     "order":[]//ordenar (columna, orden)
   }).DataTable();
   $('#myModalventasmescanalesa').modal('show');
   
   
 }

 function mostrar25p(){
   
   tabla=$('#tbventasmesproductoa').dataTable({
     "aProcessing": true,//activamos el procedimiento del datatable
     "aServerSide": true,//paginacion y filrado realizados por el server
     "bPaginate": false, //hide pagination
     "bFilter": false, //hide Search bar
     "bInfo": false, // hide showing entries
     dom: 'Bfrtip',//definimos los elementos del control de la tabla
     buttons: [
     {
       text: 'Excel',
       extend: 'excelHtml5',
       filename: 'ventasmesproducto',
       footer: true,
       //orientation: 'landscape', //portrait
       //pageSize: 'A4', //A3 , A5 , A6 , legal , letter
       title: '',
       exportOptions: {
         columns: ':visible',
         search: 'applied',
         order: 'applied'
       },
     },
     {
       text: 'PDF',
       extend: 'pdfHtml5',
       footer: true,
       filename: 'ventasmesproducto',
       orientation: 'landscape', //portrait
       pageSize: 'letter', //A3 , A5 , A6 , legal , A4
       title: '',
       exportOptions: {
         columns: ':visible',
         search: 'applied',
         order: 'applied'
       },
     }
   ],
     
     "ajax":
     {
       url:'controladores/escritorioControlador.php?op=ventasmesproductoa',
       type: "post",
      /*  data: {
         idvendedor : idvendedor
       }, */
       dataType : "json",
       error:function(e){
         console.log(e.responseText);
       }
     },
     /**/
     "drawCallback":function(){
       var api 	= this.api();
        //	var tactual	= api.column(3, {page:'current'}).data().sum();
       var total	= api.column(1).data().sum();
       var total2   = api.column(2).data().sum();
       //var total3= api.column(5).data().sum();
       
       totalt		= numero(number_format(total*1,2));
       totalt2		= numero(number_format(total2*1,0));
       //totalt3		= numero(number_format(total3*1,2));
       
       //totalt		= 0;
       //totalt2		= 0;
       //totalt3		= 0;
       // $(api.column(4).footer()).html('Total Actual:');
       //$(api.column(5).footer()).html(tactual); 
       $(api.column(0).footer()).html('Total:');
       $(api.column(1).footer()).html('<div align="center">'+number_format(totalt,0)+'</div>');
       $(api.column(2).footer()).html('<div align="center">'+totalt2+'%</div>');
       //$(api.column(5).footer()).html('<div align="right">'+totalt3+'</div>');
     },
     
     "bDestroy":true,
     "iDisplayLength":-1,//paginacion
     "order":[]//ordenar (columna, orden)
   }).DataTable();
   $('#myModalventasmesproductoa').modal('show');
   
   
 }



</script>
   
  
<?php 
}
ob_end_flush();
?>

